DRM_ATOMIC_LEGACY_BA(9)

NAME
drm_atomic_legacy_backoff - locking backoff for legacy ioctls

SYNOPSIS

void drm_atomic_legacy_backoff(struct drm_atomic_state * state);

ARGUMENTS

state
    atomic state

DESCRIPTION

This function should be used by legacy entry points which don't understand -EDEADLK semantics. For simplicity this one will grab all modeset locks after the slowpath completed.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT